distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	memory diagnostic tool
Name:      	memtest86+
Version:   	4.10
Release:   	1
Provides:  	memtest
License : 	GNU/GPL
url:		http://www.memtest.org/
Group:     	Development/Other
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686	

%description
Memtest86+ is a thorough, stand alone memory testing tool. Based on the well-known original memtest86 written by Chris Brady, memtest86+ is a port by some members of the x86-secret team.

%post
ldconfig
if [ $1 -eq 1 ]; then
# add grub menu entry 
echo "Adding Memtest86+ entry to Grub configuration"
cat >> /boot/grub/menu.lst <<EOF
# Memtest86+
title Memtest86+
`grep -e '/boot/vmlinuz' /boot/grub/menu.lst | cut -d" " -f1-2 | sed -e 's/vmlinuz/memtest/g'`
EOF
fi
#grep -e '/boot/vmlinuz' /boot/grub/menu.lst | sed -e 's/vmlinuz.*/memtest-%{version}.bin/g' >> /boot/grub/menu.lst

%preun
ldconfig
# remove grub menu entry
if [ "$1" = "0" ] ; then
    if grep "memtest" /boot/grub/menu.lst >/dev/null 2>&1 ; then
        echo "Removing Memtest86+ entry from Grub configuration"
        TMP=$(mktemp /tmp/man.XXXXXX)
        grep -v "memtest" /boot/grub/menu.lst | grep -v "Memtest86+" > $TMP
        if [ "$?" == "0" -a -f $TMP -a -s $TMP ] ; then
            cat $TMP > /boot/grub/menu.lst
        else
            echo "failed to remove Memtest86+ entry from Grub configuration"
        fi
        rm -f $TMP
    fi
fi


%prep
%setup -qn %{name}-%{version}

%build
make

%install
rm -rf $RPM_BUILD_ROOT 
install -m644 memtest.bin -D $RPM_BUILD_ROOT/boot/memtest-%{version}.bin
ln -s memtest-%{version}.bin $RPM_BUILD_ROOT/boot/memtest

find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 
 


%files
%defattr(-,root,root)
%doc README
/boot/memtest-%{version}.bin
/boot/memtest

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.10-1
- Version update
* Fri Sep 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.00-1
- Version update
* Wed Dec 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.11-1
- Version update
* Sun Mar 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.01-1
- Version update
* Sat Jun 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.70-1
- initial release                 
